package email

import (
	"testing"
	"gopkg.in/gomail.v2"
	"fmt"
)

func TestSendToMail(t *testing.T) {
	m := gomail.NewMessage()
	m.SetAddressHeader("From", "2066632394@qq.com", "szh") // 发件人
	m.SetHeader("To",                                        // 收件人
		m.FormatAddress("szh@disanbo.com", "szh"),
	)
	m.SetHeader("Subject", "节点监控异常")                                                  // 主题
	m.SetBody("text/html", "test 节点不同步")                                                   // 正文
	d := gomail.NewPlainDialer("smtp.qq.com", 25, "2066632394@qq.com", "123456") // 发送邮件服务器、端口、发件人账号、发件人密码
	if err := d.DialAndSend(m); err != nil {
		fmt.Println("发送失败", err)
	} else {
		fmt.Println("send ok")
	}
}
